Subject: Test patches on Prusa i3 MK3S

From: phodina <[email-masked]>
Date: Sun, 25 Dec 2022 17:57:15 +0000

Hi Maxime,

any thoughts on the failing tests and the rebased patches?

Also is possible that the tests on core-updates can be broken or is some sort of issue on my local machine?

Running: guix shell --pure --check -D guix​

----
Petr

------- Original Message -------
On Saturday, December 10th, 2022 at 1:24 PM, phodina <[email-masked]> wrote:

> Hi,
>
> I've also been working on getting the Octoprint printer support into Guix. Since you've already reviewed the patches I used yours.
>
> I had to rebase them on the lastest core-updates (6454208222d6e7760daa964b590f35ea75ffe0e5).
>
> Unfortunately, some issues arise - there are several packages that don't pass tests: python-pytest-localserver, disable python-django, python-tornado-6, python-sgmllib3k, python-feedparser.
>
> I just disabled the tests since I wanted to know if Octoprint works. And it does as shown on the screenshot.
>
> ----
> Petr